Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 3402)
@@ -8,6 +8,7 @@
 
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.preferences.IEclipsePreferences;
+import org.eclipse.osgi.util.NLS;
 import org.osgi.service.prefs.BackingStoreException;
 import org.osgi.service.prefs.Preferences;
 import org.txm.annotation.core.AnnotationEngine;
@@ -388,7 +389,7 @@
 					kr.getJPAManager().close();
 			}
 			catch (Exception e) {
-				System.out.println("Error: cannot close KR " + kr + ": " + e.getLocalizedMessage());
+				Log.warning(NLS.bind("Error: cannot close the {0} KR : {1}.", kr, e.getLocalizedMessage()));
 				Log.printStackTrace(e);
 				success = false;
 			}
@@ -399,7 +400,7 @@
 					am.closeAll();
 			}
 			catch (Exception e) {
-				System.out.println("Error: cannot close AM " + am + ": " + e.getLocalizedMessage());
+				Log.warning(NLS.bind("Error: cannot close the {0} AM : {1}.", am, e.getLocalizedMessage()));
 				Log.printStackTrace(e);
 				success = false;
 			}
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepositoryManager.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepositoryManager.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepositoryManager.java	(revision 3402)
@@ -7,6 +7,7 @@
 import javax.persistence.EntityManager;
 
 import org.apache.commons.io.FileUtils;
+import org.eclipse.osgi.util.NLS;
 import org.osgi.service.prefs.BackingStoreException;
 import org.osgi.service.prefs.Preferences;
 import org.txm.Toolbox;
@@ -108,7 +109,7 @@
 			kr.buildTypesAndValues();
 		}
 		else {
-			System.out.println("Error. KR not created.");
+			Log.warning("Error. KR not created.");
 		}
 		
 		return kr;
@@ -164,7 +165,7 @@
 					repositories.put(name, kr);
 				}
 				catch (Exception e) {
-					System.out.println("Fail to load KR from configuration file: " + krconf);
+					Log.warning(NLS.bind("Fail to load the {0} KR from configuration file: {1}.", krconf, e));
 					Log.printStackTrace(e);
 				}
 			}
@@ -195,12 +196,12 @@
 						repositories.put(name, kr);
 					}
 					else {
-						System.out.println("KR not created: " + name);
+						Log.warning(NLS.bind("KR not created: {0}.", name));
 						return null;
 					}
 				}
 				catch (Exception e) {
-					System.out.println("Fail to load KR from configuration file: " + krconf);
+					Log.warning(NLS.bind("Fail to load the KR from the {0} configuration file with error {1}.", krconf, e));
 					Log.printStackTrace(e);
 				}
 			}
@@ -223,14 +224,14 @@
 			}
 			else {
 				// replace the KR
-				System.out.println("REPLACE OLD KR=" + kr + " (version=" + version + ") WITH corpus KR configuration (version=" + krCorpusVersion + ")");
+				Log.fine("REPLACE OLD KR=" + kr + " (version=" + version + ") WITH corpus KR configuration (version=" + krCorpusVersion + ")");
 				KnowledgeRepository krNew = createKnowledgeRepository(name, corpusprefkrconf);
 				
 				try { // write the new configuration file in krconf File
 					krNew.saveConfiguration(krconf);
 				}
 				catch (Exception e) {
-					System.out.println("Fail to create KR from corpus configuration: " + corpus);
+					Log.warning(NLS.bind("Fail to create KR from the {0} corpus configuration.", corpus));
 					Log.printStackTrace(e);
 					return kr;
 				}
@@ -238,9 +239,6 @@
 					repositories.put(name, krNew);
 					kr = krNew;
 				}
-				else {
-					System.out.println("Internal error: the new KR is null: " + name);
-				}
 			}
 		}
 		else {
@@ -253,7 +251,7 @@
 				kr = krNew;
 			}
 			else {
-				System.out.println("Internal error: the new KR is null: " + name);
+				Log.warning(NLS.bind("Internal error: the new {0} KR is null.", name));
 				return null;
 			}
 			
@@ -261,12 +259,10 @@
 				krNew.saveConfiguration(krconf);
 			}
 			catch (Exception e) {
-				System.out.println("Fail to create KR from corpus configuration: " + corpus);
+				Log.warning(NLS.bind("Fail to create KR from the {0} corpus configuration with error", corpus, e));
 				Log.printStackTrace(e);
 				return kr;
 			}
-			
-			
 		}
 		
 		return kr;
@@ -328,13 +324,13 @@
 				FileUtils.writeStringToFile(newHtmlFile, htmlString);
 			}
 			catch (Exception e) {
-				System.out.println("Generating HTML Page failed for " + id + " : " + e);
+				Log.warning(NLS.bind("Error while generating the HTML Page failed for the {0} id with error: {1}.", id, e));
 				Log.printStackTrace(e);
 			}
 			
 		}
 		else {
-			System.out.println("KR " + krname + " is null !");
+			Log.warning(NLS.bind("Error: the {0} KR is null !", krname));
 		}
 		
 		return newHtmlFile.getAbsolutePath();
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/LocalKnowledgeRepository.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/LocalKnowledgeRepository.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/LocalKnowledgeRepository.java	(revision 3402)
@@ -39,7 +39,6 @@
 		}
 		try {
 			for (String type : fieldsTypesProperties.keySet()) {
-				// System.out.println(" TYPE="+type);
 				File f = new File(currentDirectory, type);
 				BufferedReader reader = new BufferedReader(new FileReader(f));
 				String line = reader.readLine();
@@ -48,7 +47,6 @@
 				HashSet<String> values = new HashSet<String>();
 				while (line != null) {
 					if (line.length() > 0) {
-						System.out.println("  LINE=" + line);
 						String split[] = line.split("\t", 2);
 						TypedValue val = null;
 						if (split.length == 2) {
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java	(revision 3402)
@@ -13,6 +13,7 @@
 import javax.persistence.TypedQuery;
 import javax.persistence.spi.PersistenceUnitInfo;
 
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.persistence.config.PersistenceUnitProperties;
 import org.eclipse.persistence.internal.jpa.deployment.JPAInitializer;
 import org.eclipse.persistence.internal.jpa.deployment.SEPersistenceUnitInfo;
@@ -125,7 +126,7 @@
 		
 		emf = pp.createEntityManagerFactory(DatabasePersistenceManager.PERSISTENCE_UNIT_NAME, properties);
 		if (emf == null) {
-			System.out.println("Error: could not create the EntityManagerFactory with name: " + DatabasePersistenceManager.PERSISTENCE_UNIT_NAME + " and PersistenceProvider=" + pp);
+			Log.warning(NLS.bind("Error: could not create the ''{0}'' EntityManagerFactory and PersistenceProvider={1}.", DatabasePersistenceManager.PERSISTENCE_UNIT_NAME, pp));
 			return null;
 		}
 		EntityManager entityManager = (EntityManager) emf.createEntityManager();
@@ -138,8 +139,9 @@
 		this.accessProperties = accessProperties;
 		
 		String sVersion = accessProperties.get("version");
-		if (sVersion.length() > 0)
+		if (sVersion.length() > 0) {
 			this.version = Integer.parseInt(sVersion);
+		}
 		this.url = accessProperties.get(TYPE_URL);
 		this.values_base_url = accessProperties.get(TYPE_RESURL);
 		this.types_base_url = accessProperties.get(TYPE_TYPEURL);
@@ -309,13 +311,12 @@
 				buildTypes();
 			}
 			else {
-				System.out.println("KR Annotation Types already exist:");
+				Log.warning("KR Annotation Types already exist:");
 				for (AnnotationType annotType : annotTypes) {
-					System.out.println(" - Type :" + annotType.getName());
+					Log.warning(NLS.bind(" - Type : {0}", annotType.getName()));
 				}
 			}
-		}
-		else {
+		} else {
 			buildTypes();
 		}
 		
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/SQLKnowledgeRepository.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/SQLKnowledgeRepository.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/SQLKnowledgeRepository.java	(revision 3402)
@@ -8,6 +8,7 @@
 
 import javax.persistence.EntityManager;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.annotation.kr.core.DatabasePersistenceManager;
 import org.txm.sql.SQLConnection;
 import org.txm.utils.logger.Log;
@@ -66,7 +67,7 @@
 					password);
 		}
 		catch (Exception e) {
-			System.out.println("Fail to get SQL connection with " + accessProperties + " error=" + e); //$NON-NLS-1$ //$NON-NLS-2$
+			Log.warning(NLS.bind("Fails to get SQL connection with {0} with error: {1}.", accessProperties, e)); //$NON-NLS-1$ //$NON-NLS-2$
 			return null;
 		}
 		
@@ -99,7 +100,7 @@
 				em.persist(value);
 				// System.out.println("Value : "+annotationValue+" ("+publicid+"/"+name+") is going to be persisted !"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				if (i > 1) {
-					System.out.println("KR should not return more than one value !"); //$NON-NLS-1$
+					Log.warning("KR should not return more than one value !"); //$NON-NLS-1$
 				}
 				i++;
 			}
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java	(revision 3402)
@@ -51,7 +51,7 @@
 		
 		List<Annotation> annots = tempManager.getAnnotations();
 		if (annots.isEmpty()) {
-			System.out.println("No annotation to save. Aborting.");
+			Log.info("No annotation to save. Aborting.");
 			dirty = false;
 			return true;
 		}
@@ -98,7 +98,7 @@
 			tempManager.getEntityManager().getTransaction().begin();
 			for (Annotation a : temporaryAnnotations) {
 				if (job != null && job.isCanceled()) {
-					System.out.println("Delete annotation canceled.");
+					Log.info("Delete annotation canceled.");
 					return false;
 				}
 				tempManager.deleteAnnotation(type, a.getStart(), a.getEnd());
@@ -109,7 +109,7 @@
 			tempManager.getEntityManager().getTransaction().begin();
 			for (Annotation a : cqpAnnotations) {
 				if (job != null && job.isCanceled()) {
-					System.out.println("Delete annotation canceled.");
+					Log.info("Delete annotation canceled.");
 					return false;
 				}
 				String value = cqpManager.getCQPAnnotationValue(a.getStart(), a.getEnd(), type);
@@ -148,7 +148,7 @@
 				}
 				
 				if (job != null && job.isCanceled()) {
-					System.out.println("Delete annotation canceled.");
+					Log.info("Delete annotation canceled.");
 					return false;
 				}
 				
@@ -165,7 +165,7 @@
 			tempManager.getEntityManager().getTransaction().commit();
 		}
 		catch (Exception e) {
-			e.printStackTrace();
+			Log.printStackTrace(e);
 			return false;
 		}
 		return true;
@@ -188,7 +188,7 @@
 			// System.out.println("Temporary annotations: "+temporaryAnnotations);
 			// System.out.println("CQP annotations: "+cqpAnnotations);
 			if (cqpAnnotations.size() != matches.size() || temporaryAnnotations.size() != matches.size()) {
-				System.out.println("ERROR in getAnnotationsForMatches methods! ");
+				Log.info("ERROR in getAnnotationsForMatches methods! ");
 				return new ArrayList<>(matches.size());
 			}
 			// merge the 2 results
@@ -219,8 +219,8 @@
 			tempManager.close();
 		}
 		catch (Exception e) {
-			System.out.println("Fail to clear AnnotationManager instance: " + e);
-			org.txm.utils.logger.Log.printStackTrace(e);
+			Log.warning(NLS.bind("Fail to clear AnnotationManager instance with error: {0}", e));
+			Log.printStackTrace(e);
 		}
 	}
 	
@@ -268,7 +268,7 @@
 			}
 			
 			if (job != null && job.isCanceled()) { // check if user canceled the job
-				System.out.println("Affect annotation canceled.");
+				Log.info("Affect annotation canceled.");
 				return null;
 			}
 			
@@ -327,8 +327,9 @@
 				
 			}
 			catch (Throwable e) {
+				Log.info(NLS.bind("Error during annotation creation: {0}.", e));
 				Log.printStackTrace(e);
-				System.out.println("Error during annotation creation: " + e);
+				
 				if (tempManager.getEntityManager().getTransaction().isActive()) {
 					tempManager.getEntityManager().getTransaction().rollback(); // reset state
 				}
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/XMLTXMFileRuledConversion.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/XMLTXMFileRuledConversion.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/XMLTXMFileRuledConversion.java	(revision 3402)
@@ -10,6 +10,7 @@
 import javax.xml.stream.XMLStreamReader;
 
 import org.txm.importer.StaxIdentityParser;
+import org.txm.utils.logger.Log;
 
 public class XMLTXMFileRuledConversion extends StaxIdentityParser {
 	
@@ -98,7 +99,7 @@
 				String value = parser.getAttributeValue(i);
 				if (oldType != null && oldType.equals(att)) {
 					if (converter != null) {
-						if (debug) System.out.println("CALL CONVERTER with attribute $att");
+						if (debug) Log.finer("CALL CONVERTER with attribute "+att);
 						newValue = converter.getValue(parser, localname, att, value);
 					}
 					else {
@@ -111,12 +112,12 @@
 			}
 			
 			if (oldType == null && converter != null) {
-				if (debug) System.out.println("CALL CONVERTER with no attribute set");
+				if (debug) Log.finer("CALL CONVERTER with no attribute set");
 				newValue = converter.getValue(parser, localname, null, null);
 			}
 			
 			if (newValue != null) {
-				if (debug) System.out.println("WRITE NEWTYPE: " + newType + "=" + newValue);
+				if (debug) Log.finer("WRITE NEWTYPE: " + newType + "=" + newValue);
 				writeAttribute(null, newType, newValue);
 			}
 		}
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java	(revision 3402)
@@ -10,10 +10,12 @@
 import javax.xml.stream.XMLStreamException;
 
 import org.apache.commons.lang.StringUtils;
+import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.io.IOUtils;
+import org.txm.utils.logger.Log;
 
 public class CorpusRuledConvertion {
 	
@@ -39,7 +41,7 @@
 			line = reader.readLine();
 		}
 		
-		System.out.println("Conversion rules: " + rules);
+		Log.info(NLS.bind("Conversion rules: {0}.", rules));
 	}
 	
 	public CorpusRuledConvertion(LinkedHashMap<Pattern, String> rules,
@@ -54,17 +56,17 @@
 		File binaryCorpusDirectory = corpus.getProjectDirectory();
 		File txmDirectory = new File(binaryCorpusDirectory, "txm");
 		if (!txmDirectory.exists()) {
-			System.out.println("'txm' directory not found in " + binaryCorpusDirectory.getAbsolutePath());
+			Log.warning(NLS.bind("The 'txm' directory was not found in {0}.", binaryCorpusDirectory.getAbsolutePath()));
 			return false;
 		}
 		File txmCorpusDirectory = new File(txmDirectory, corpus.getID());
 		if (!txmCorpusDirectory.exists()) {
-			System.out.println("'" + corpus.getName() + "' corpus directory not found in " + txmDirectory.getAbsolutePath());
+			Log.warning(NLS.bind("The ''{0}'' corpus directory was not found in {1}.", corpus.getName(), txmDirectory.getAbsolutePath()));
 			return false;
 		}
 		File[] files = txmCorpusDirectory.listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (files == null || files.length == 0) {
-			System.out.println("No file in " + txmCorpusDirectory);
+			Log.warning(NLS.bind("No file found in the {0} directory.", txmCorpusDirectory));
 			return false;
 		}
 		ConsoleProgressBar cpb = new ConsoleProgressBar(files.length);
@@ -87,17 +89,17 @@
 				
 				HashSet<String> errors = converter.getNoMatchValues();
 				if (errors.size() > 0) {
-					System.out.println("Some values did not match rule:");
+					Log.warning("Some values did not match rule: ");
 					int i = 0;
 					for (String error : errors) {
-						System.out.println("\t" + error);
+						Log.warning("\t" + error);
 						if (i >= 10) break;
 					}
 					if (errors.size() > 10) {
 						try {
 							File errorFile = new File(Toolbox.getTxmHomePath(), "errors.txt");
 							IOUtils.write(errorFile, StringUtils.join(errors, "\t"));
-							System.out.println("More errors, see " + errorFile.getAbsolutePath());
+							Log.warning(NLS.bind("More errors, see the {0} errors file.", errorFile.getAbsolutePath()));
 						}
 						catch (Exception e) {
 							e.printStackTrace();
@@ -108,16 +110,16 @@
 				
 				tmpFile.renameTo(xmlFile);
 				if (tmpFile.exists()) {
-					System.out.println("Could not replace original file with the result file. " + xmlFile + " with " + tmpFile);
+					Log.warning(NLS.bind("Could not replace original file with the {0} result file with {1}.", xmlFile, tmpFile));
 					return false;
 				}
 			}
 			else {
-				System.out.println("Fail to process " + xmlFile);
+				Log.warning(NLS.bind("Fail to process the {0} XML file.", xmlFile));
 				return false;
 			}
 		}
-		System.out.println(); // end of ConsoleProgressBar
+		cpb.done();
 		return true;
 	}
 }
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationSyMoGIHWriter.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationSyMoGIHWriter.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationSyMoGIHWriter.java	(revision 3402)
@@ -14,8 +14,10 @@
 import javax.xml.stream.XMLStreamException;
 import javax.xml.stream.XMLStreamWriter;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.annotation.kr.core.repository.AnnotationType;
 import org.txm.importer.StaxIdentityParser;
+import org.txm.utils.logger.Log;
 
 /**
  * The Class AnnotationStandoffInjector.
@@ -325,7 +327,7 @@
 			if (localname.equals("TEI")) {
 				try {
 					for (String author : allannotations.keySet()) {
-						System.out.println("    author=" + author);
+						Log.info("    author=" + author);
 						File currentXmlFile = new File(xmlStandOffDirectory, filename.substring(0, filename.length() - 4) + "_" + currentAuthor + "_annotations.xml");
 						
 						// write start of the stand-off file
@@ -361,7 +363,8 @@
 					}
 				}
 				catch (Exception e) {
-					System.out.println("Current writer " + currentWriter);
+					Log.warning(NLS.bind("Error with current writer: {0}.", currentWriter));
+					Log.printStackTrace(e);
 				}
 			}
 			super.processEndElement();
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 3402)
@@ -77,9 +77,8 @@
 	 * @throws InvalidCqpIdException
 	 * @throws XMLStreamException
 	 */
-	protected boolean writeTextAnnotationToSyMoGIH(String textid, File currentXMLFile, File currentXMLStandoffFile, File xmlStandOffDirectory) throws IOException, CqiServerError, CqiClientException,
-			InvalidCqpIdException, XMLStreamException {
-		System.out.println("  text=" + textid);
+	protected boolean writeTextAnnotationToSyMoGIH(String textid, File currentXMLFile, File currentXMLStandoffFile, File xmlStandOffDirectory) throws IOException, CqiServerError, CqiClientException, InvalidCqpIdException, XMLStreamException {
+		Log.info("  text=" + textid);
 		boolean show_debug = Log.getLevel().intValue() < Level.INFO.intValue();
 		
 		AnnotationSyMoGIHWriter annotationstdoff = new AnnotationSyMoGIHWriter(textid, currentXMLFile, xmlStandOffDirectory, types, show_debug);
@@ -90,11 +89,11 @@
 				return true;
 			}
 			else {
-				System.out.println("Error: result file " + currentXMLStandoffFile + " is malformed.");
+				Log.warning(NLS.bind("Error: the {0} result file is malformed.", currentXMLStandoffFile));
 			}
 		}
 		else {
-			System.out.println("Error: while processing " + currentXMLStandoffFile + " in standoff dir");
+			Log.warning(NLS.bind("Error: while processing the {0} file in standoff dir", currentXMLStandoffFile));
 		}
 		return false;
 		
@@ -114,29 +113,29 @@
 	public boolean writeAnnotationsInStandoff(File resultZipFile) throws IOException, CqiServerError, CqiClientException, InvalidCqpIdException, XMLStreamException {
 		
 		List<String> textsIds = Arrays.asList(corpus.getCorpusTextIdsList());
-		System.out.println("Exporting annotations of " + StringUtils.join(textsIds, ", ") + ".");
+		Log.info(NLS.bind("Exporting annotations of the {0} text(s).", StringUtils.join(textsIds, ", ")));
 		
 		File resultDirectory = new File(Toolbox.getTxmHomePath(), "results/" + corpus.getID() + "_annotations");
 		DeleteDir.deleteDirectory(resultDirectory);
 		resultDirectory.mkdirs();
 		if (!(resultDirectory.exists() && resultDirectory.canWrite())) {
-			System.out.println("ERROR: could not create/write temporary directory: " + resultDirectory);
+			Log.warning(NLS.bind("ERROR: could not create/write temporary directory: {0}.", resultDirectory));
 			return false;
 		}
 		
 		File inputDirectory = corpus.getProjectDirectory();
 		File corpusTxmDirectory = new File(inputDirectory, "txm/" + corpus.getID());
 		
-		System.out.println("Writing annotations XML files in " + resultDirectory);
+		Log.info(NLS.bind("Writing annotations XML files in {0}.", resultDirectory));
 		for (String textid : textsIds) {
 			File currentXMLFile = new File(corpusTxmDirectory, textid + ".xml");
 			if (!currentXMLFile.exists()) {
-				System.out.println("Error: cannot found XML file for text with id=" + textid);
+				Log.warning(NLS.bind("Error: cannot found ab XML-TXM file for text with the ''{0}'' id.", textid));
 				return false;
 			}
 			File currentXMLStandoffFile = new File(resultDirectory, textid + ".xml"); // To Be Changed ?
 			if (!writeTextAnnotationToSyMoGIH(textid, currentXMLFile, currentXMLStandoffFile, resultDirectory)) {
-				System.out.println("Error while writing annotations of text " + currentXMLStandoffFile);
+				Log.warning(NLS.bind("Error while writing annotations of text in {0}.", currentXMLStandoffFile));
 				return false;
 			}
 		}
@@ -144,7 +143,7 @@
 		Zip.compress(resultDirectory, resultZipFile, new ConsoleProgressBar(1));
 		DeleteDir.deleteDirectory(resultDirectory);
 		
-		System.out.println("Annotations saved in " + resultZipFile.getAbsolutePath());
+		Log.info(NLS.bind("Annotations saved in ''{0}''.", resultZipFile.getAbsolutePath()));
 		return resultZipFile.exists();
 	}
 	
@@ -211,7 +210,7 @@
 		DeleteDir.deleteDirectory(tmpXMLTXMDirectory);
 		tmpXMLTXMDirectory.mkdirs();
 		if (!(tmpXMLTXMDirectory.exists() && tmpXMLTXMDirectory.canWrite())) {
-			System.out.println("ERROR: could not create directory: " + tmpXMLTXMDirectory);
+			Log.warning(NLS.bind("ERROR: could not create directory: {0}.", tmpXMLTXMDirectory));
 			return false;
 		}
 		
@@ -219,7 +218,7 @@
 		// DeleteDir.deleteDirectory(tmpXMLTXMDirectory);
 		previousXMLTXMDirectory.mkdirs();
 		if (!(previousXMLTXMDirectory.exists() && previousXMLTXMDirectory.canWrite())) {
-			System.out.println("ERROR: could not create directory: " + previousXMLTXMDirectory);
+			Log.warning(NLS.bind("ERROR: could not create directory: {0}.", previousXMLTXMDirectory));
 			return false;
 		}
 		
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 3402)
@@ -16,6 +16,7 @@
 import org.txm.Toolbox;
 import org.txm.importer.StaxIdentityParser;
 import org.txm.importer.ValidateXml;
+import org.txm.utils.logger.Log;
 
 /**
  * The Class AnnotationInjection.
@@ -147,10 +148,10 @@
 		});
 		
 		if (debug) {
-			System.out.println("annotations for " + xmlFile);
-			System.out.println(" segment grouped and ordered by start position: " + annotationsToAddByStartPos);
-			System.out.println(" segment grouped and ordered by end position: " + annotationsToAddByEndPos);
-			System.out.println(" token ordered by start position: " + tokenAnnotations);
+			Log.finer("annotations for " + xmlFile);
+			Log.finer(" segment grouped and ordered by start position: " + annotationsToAddByStartPos);
+			Log.finer(" segment grouped and ordered by end position: " + annotationsToAddByEndPos);
+			Log.finer(" token ordered by start position: " + tokenAnnotations);
 		}
 	}
 	
@@ -185,18 +186,18 @@
 				for (Annotation a : currentStartAnnotations) {
 					if (!"#del".equals(a.getValue())) {
 						if (debug) {
-							System.out.println(" force write start annotation " + a);
+							Log.finer(" force write start annotation " + a);
 						}
 						writeStartAnnotation(a);
 					}
 					else {
 						if (debug)
-							System.out.println(" no need to write start annotation " + a);
+							Log.finer(" no need to write start annotation " + a);
 						currentEndAnnotations = annotationsToAddByEndPos.get(a.getEnd());
 						// System.out.println(" shall we need to change annotation attribute : "+a.getValue()+
 						// " | currentEndAnnotations : "+currentEndAnnotations);
 						if (currentEndAnnotations == null) {
-							System.out.println("WARNING ERROR null pointer for end position of annotation " + a);
+							Log.finer("WARNING ERROR null pointer for end position of annotation " + a);
 						}
 						else {
 							currentEndAnnotations.remove(a);
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotationManager.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotationManager.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotationManager.java	(revision 3402)
@@ -19,6 +19,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
+import org.txm.utils.logger.Log;
 
 public class CQPAnnotationManager {
 	
@@ -400,7 +401,7 @@
 				return struc_str[0];
 			}
 			else { // should not happens
-				System.out.println("WARNING: FOUND EXISTING ANNOTATION FOR TYPE=" + type + " START=" + start + " END=" + end);
+				Log.warning("WARNING: FOUND EXISTING ANNOTATION FOR TYPE=" + type + " START=" + start + " END=" + end);
 				return null;
 			}
 		}
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/DoInstallStep.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/DoInstallStep.java	(revision 3401)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/DoInstallStep.java	(revision 3402)
@@ -45,22 +45,22 @@
 				return; // nothing to do
 			}
 		}
-		System.out.println(NLS.bind(Messages.DoInstallStep_6, currentVersion));
+		Log.info(NLS.bind(Messages.DoInstallStep_6, currentVersion));
 		
 		File previousURSMacroDirectory = new File(Toolbox.getTxmHomePath(), "scripts/groovy/user/org/txm/macro/analec"); //$NON-NLS-1$
 		if (previousURSMacroDirectory.exists() && saved != null && saved.length() > 0) {
 			File back = new File(previousURSMacroDirectory.getParentFile(), "urs_"+saved); //$NON-NLS-1$
 			if (back.exists()) {
-				System.out.println(NLS.bind(Messages.DoInstallStep_9, back.getAbsolutePath()));
+				Log.info(NLS.bind(Messages.DoInstallStep_9, back.getAbsolutePath()));
 				return;
 			}
 			previousURSMacroDirectory.renameTo(back);
-			System.out.println(NLS.bind(Messages.DoInstallStep_11, back.getAbsolutePath()));
+			Log.info(NLS.bind(Messages.DoInstallStep_11, back.getAbsolutePath()));
 		}
 		
 		File macroDirectory = new File(Toolbox.getTxmHomePath(), "scripts/groovy/user/org/txm/macro/analec"); //$NON-NLS-1$
 		if (!BundleUtils.copyFiles("org.txm.annotation.urs.rcp", "src", "org/txm/macro/", "urs", macroDirectory, true)) { //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-			System.out.println(NLS.bind(Messages.DoInstallStep_17, macroDirectory.getAbsolutePath()));
+			Log.warning(NLS.bind(Messages.DoInstallStep_17, macroDirectory.getAbsolutePath()));
 			return;
 		}
 		
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportTEIAnnotations.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportTEIAnnotations.java	(revision 3401)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportTEIAnnotations.java	(revision 3402)
@@ -49,7 +49,7 @@
 
 			Object first = CorporaView.getFirstSelectedObject();
 			if (!(first instanceof org.txm.searchengine.cqp.corpus.CQPCorpus)) {
-				System.out.println(NLS.bind(Messages.ImportTEIAnnotations_0, first));
+				Log.warning(NLS.bind(Messages.ImportTEIAnnotations_0, first));
 				return null;
 			}
 			
@@ -67,13 +67,13 @@
 						}
 						
 						if (!importer(monitor, directory, aamFile, true, mainCorpus, analecCorpus, vue)) {
-							System.out.println(Messages.ImportTEIAnnotations_2);
+							Log.warning(Messages.ImportTEIAnnotations_2);
 							return Status.CANCEL_STATUS;
 						} else {
 							return Status.OK_STATUS;
 						}
 					} catch (Throwable e) {
-						System.out.println(NLS.bind(Messages.ImportTEIAnnotations_3, e.getLocalizedMessage()));
+						Log.warning(NLS.bind(Messages.ImportTEIAnnotations_3, e.getLocalizedMessage()));
 						Log.printStackTrace(e);
 						return Status.CANCEL_STATUS;
 					}
@@ -82,7 +82,7 @@
 			job.schedule();
 			
 		} catch (Exception e) {
-			System.out.println(NLS.bind(Messages.ImportTEIAnnotations_3, e.getLocalizedMessage()));
+			Log.warning(NLS.bind(Messages.ImportTEIAnnotations_3, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
 		}
 		return null;
@@ -128,7 +128,7 @@
 		boolean ret = importer.process();
 		
 		if (ret) {
-			System.out.println(TXMCoreMessages.bind(Messages.ImportTEIAnnotations_5, analecCorpus.getToutesUnites().size(), analecCorpus.getToutesRelations().size(), analecCorpus.getTousSchemas().size()));
+			Log.info(TXMCoreMessages.bind(Messages.ImportTEIAnnotations_5, analecCorpus.getToutesUnites().size(), analecCorpus.getToutesRelations().size(), analecCorpus.getTousSchemas().size()));
 			mainCorpus.setIsModified(true);
 			CorporaView.refreshObject(mainCorpus);
 		}
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportGlozzCorpus.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportGlozzCorpus.java	(revision 3401)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportGlozzCorpus.java	(revision 3402)
@@ -67,7 +67,7 @@
 			
 			// END OF PARAMETERS
 			if (!glozzDirectory.exists()) {
-				System.out.println(Messages.ImportGlozzCorpus_0);
+				Log.warning(Messages.ImportGlozzCorpus_0);
 				return null;
 			}
 			
@@ -84,23 +84,23 @@
 			}
 			
 			final File srcDir = new File(glozzDirectory, name);
-			System.out.println(NLS.bind(Messages.ImportGlozzCorpus_1, srcDir));
+			Log.info(NLS.bind(Messages.ImportGlozzCorpus_1, srcDir));
 			DeleteDir.deleteDirectory(srcDir);
 			srcDir.mkdir();
 			
 			final File ecDir = new File(glozzDirectory, "ec"); //$NON-NLS-1$
-			System.out.println(NLS.bind(Messages.ImportGlozzCorpus_3, ecDir));
+			Log.info(NLS.bind(Messages.ImportGlozzCorpus_3, ecDir));
 			DeleteDir.deleteDirectory(ecDir);
 			ecDir.mkdir();
 			
 			
 			if (!srcDir.exists()) {
-				System.out.println(Messages.ImportGlozzCorpus_4);
+				Log.warning(Messages.ImportGlozzCorpus_4);
 				return null;
 			}
 			
 			if (!ecDir.exists()) {
-				System.out.println(Messages.ImportGlozzCorpus_5);
+				Log.warning(Messages.ImportGlozzCorpus_5);
 				return null;
 			}
 			
@@ -121,19 +121,19 @@
 			});
 			
 			if (aaFiles == null || aaFiles.length == 0) {
-				System.out.println(NLS.bind(Messages.ImportGlozzCorpus_8, glozzDirectory));
+				Log.warning(NLS.bind(Messages.ImportGlozzCorpus_8, glozzDirectory));
 				return false;
 			}
 			if (acFiles == null || acFiles.length == 0) {
-				System.out.println(NLS.bind(Messages.ImportGlozzCorpus_9, glozzDirectory));
+				Log.warning(NLS.bind(Messages.ImportGlozzCorpus_9, glozzDirectory));
 				return false;
 			}
 			if (aaFiles.length != acFiles.length) {
-				System.out.println(NLS.bind(Messages.ImportGlozzCorpus_10, glozzDirectory));
+				Log.warning(NLS.bind(Messages.ImportGlozzCorpus_10, glozzDirectory));
 				return false;
 			}
 			
-			System.out.println(NLS.bind(Messages.ImportGlozzCorpus_11, glozzDirectory));
+			Log.info(NLS.bind(Messages.ImportGlozzCorpus_11, glozzDirectory));
 			Arrays.sort(acFiles);
 			Arrays.sort(aaFiles);
 			for (int i = 0; i < aaFiles.length; i++) {
@@ -148,7 +148,7 @@
 				Corpus tmpAnalecCorpus = new Corpus(); // need a temporary corpus
 				
 				if (!FichiersGlozz.importerGlozz(tmpAnalecCorpus, acFile, aaFile)) {
-					System.out.println(Messages.ImportGlozzCorpus_15);
+					Log.warning(Messages.ImportGlozzCorpus_15);
 					return null;
 				}
 				
@@ -165,7 +165,7 @@
 				FichiersJava.enregistrerCorpus(tmpAnalecCorpus, ecFile); // write for later
 				
 				if (!txtFile.exists()) {
-					System.out.println(Messages.ImportGlozzCorpus_17);
+					Log.warning(Messages.ImportGlozzCorpus_17);
 					return null;
 				}
 			}
@@ -183,7 +183,7 @@
 			
 			JobHandler job = ExecuteImportScript.executeScript(project);
 			if (job == null) { // job is scheduled in ExecuteImportScript.executeScript
-				System.out.println(Messages.ImportGlozzCorpus_23);
+				Log.warning(Messages.ImportGlozzCorpus_23);
 				return null;
 			}
 			
@@ -194,7 +194,7 @@
 					try {
 						MainCorpus corpus = CorpusManager.getCorpusManager().getCorpus(name.toUpperCase());
 						if (corpus == null) {
-							System.out.println("The CQP corpus was not created. Aborting.");
+							Log.warning("The CQP corpus was not created. Aborting.");
 							return Status.CANCEL_STATUS;
 						}
 						corpus.compute(false);
@@ -206,9 +206,9 @@
 							FichiersJava.concatener(ecFile, analecCorpus);
 						}
 						
-						System.out.println(NLS.bind(Messages.ImportGlozzCorpus_25, aamfile));
+						Log.info(NLS.bind(Messages.ImportGlozzCorpus_25, aamfile));
 						if (!FichiersGlozz.importerModeleGlozz(analecCorpus, aamfile)) {
-							System.out.println(Messages.ImportGlozzCorpus_26);
+							Log.warning(Messages.ImportGlozzCorpus_26);
 							return Status.CANCEL_STATUS;
 						}
 						//
@@ -218,19 +218,19 @@
 						// return null;
 						// }
 						
-						System.out.println(Messages.ImportGlozzCorpus_27);
+						Log.info(Messages.ImportGlozzCorpus_27);
 						URSCorpora.removeCorpus(corpus); // remove old corpus if any
 						
 						URSAnnotationReIndexer aari = new URSAnnotationReIndexer(corpus, analecCorpus);
 						if (!aari.process()) {
-							System.out.println(Messages.ImportGlozzCorpus_28);
+							Log.warning(Messages.ImportGlozzCorpus_28);
 							return Status.CANCEL_STATUS;
 						}
 						
-						System.out.println(Messages.ImportGlozzCorpus_29);
+						Log.info(Messages.ImportGlozzCorpus_29);
 						URSCorpora.saveCorpus(analecCorpus);
 						URSCorpora.getVue(analecCorpus).retablirVueParDefaut();
-						System.out.println(Messages.ImportGlozzCorpus_30);
+						Log.info(Messages.ImportGlozzCorpus_30);
 						analecCorpus.setTexte(""); // free memory //$NON-NLS-1$
 						DeleteDir.deleteDirectory(ecDir); // cleaning
 						DeleteDir.deleteDirectory(srcDir); // cleaning
@@ -238,7 +238,7 @@
 						return Status.OK_STATUS;
 					}
 					catch (Exception e) {
-						System.out.println(NLS.bind(Messages.ImportGlozzCorpus_32, e.getLocalizedMessage()));
+						Log.warning(NLS.bind(Messages.ImportGlozzCorpus_32, e.getLocalizedMessage()));
 						Log.printStackTrace(e);
 						return Status.CANCEL_STATUS;
 					}
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ExportGlozzCorpus.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ExportGlozzCorpus.java	(revision 3401)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ExportGlozzCorpus.java	(revision 3402)
@@ -41,7 +41,7 @@
 			
 			Object first = CorporaView.getFirstSelectedObject();
 			if (!(first instanceof org.txm.searchengine.cqp.corpus.CQPCorpus)) {
-				System.out.println(NLS.bind(Messages.ExportGlozzCorpus_0, first));
+				Log.warning(NLS.bind(Messages.ExportGlozzCorpus_0, first));
 				return null;
 			}
 			
@@ -62,10 +62,10 @@
 						export(exportDirectory, mainCorpus, unit_type);
 					}
 					catch (ThreadDeath e) {
-						System.out.println(Messages.ExportGlozzCorpus_2);
+						Log.warning(Messages.ExportGlozzCorpus_2);
 					}
 					catch (Throwable e) {
-						System.out.println(NLS.bind(Messages.ExportGlozzCorpus_3, e.getLocalizedMessage()));
+						Log.warning(NLS.bind(Messages.ExportGlozzCorpus_3, e.getLocalizedMessage()));
 						Log.printStackTrace(e);
 						return Status.CANCEL_STATUS;
 					}
@@ -77,7 +77,7 @@
 			return null;
 		}
 		catch (Throwable e) {
-			System.out.println(NLS.bind(Messages.ExportGlozzCorpus_3, e.getLocalizedMessage()));
+			Log.warning(NLS.bind(Messages.ExportGlozzCorpus_3, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
 		}
 		return null;
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/EditVue.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/EditVue.java	(revision 3401)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/EditVue.java	(revision 3402)
@@ -9,6 +9,7 @@
 import org.txm.annotation.urs.URSCorpora;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
+import org.txm.utils.logger.Log;
 
 import visuAnalec.VisuMain;
 import visuAnalec.donnees.Corpus;
@@ -31,7 +32,7 @@
 
 		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.CQPCorpus)) {
-			System.out.println("Selection is not a corpus: "+first);
+			Log.warning("Selection is not a corpus: "+first);
 			return null;
 		}
 		
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/EditStructure.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/EditStructure.java	(revision 3401)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/EditStructure.java	(revision 3402)
@@ -12,6 +12,7 @@
 import org.txm.annotation.urs.view.ElementPropertiesView;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
+import org.txm.utils.logger.Log;
 
 import visuAnalec.VisuMain;
 import visuAnalec.donnees.Corpus;
@@ -33,7 +34,7 @@
 
 		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.CQPCorpus)) {
-			System.out.println(NLS.bind(Messages.EditStructure_0, first));
+			Log.warning(NLS.bind(Messages.EditStructure_0, first));
 			return null;
 		}
 		
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportTEICorpus.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportTEICorpus.java	(revision 3401)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportTEICorpus.java	(revision 3402)
@@ -29,12 +29,12 @@
 import visuAnalec.fichiers.FichiersTEI;
 
 public class ImportTEICorpus  extends AbstractHandler {
-
+	
 	@Option(name="xmlFile",usage="an example file", widget="File", required=true, def="text.xml")
 	File xmlFile;
-
+	
 	private String name;
-
+	
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
@@ -43,53 +43,53 @@
 		try {
 			// Open the parameters input dialog box
 			if (!ParametersDialog.open(this)) return null;
-
+			
 			// END OF PARAMETERS
 			if (!(xmlFile.exists())) {
-				System.out.println(NLS.bind(Messages.ImportTEICorpus_0, xmlFile));
+				Log.warning(NLS.bind(Messages.ImportTEICorpus_0, xmlFile));
 				return null;
 			}
-
+			
 			name = xmlFile.getName();
 			int idx = name.indexOf("."); //$NON-NLS-1$
 			name = name.substring(0, idx);
 			name = AsciiUtils.buildId(name);
-
+			
 			File srcDir = new File(xmlFile.getParentFile(), name);
-			System.out.println(Messages.ImportTEICorpus_2);
+			Log.info(Messages.ImportTEICorpus_2);
 			DeleteDir.deleteDirectory(srcDir);
 			srcDir.mkdir();
-
+			
 			if (!srcDir.exists()) {
-				System.out.println(Messages.ImportTEICorpus_3);
+				Log.warning(Messages.ImportTEICorpus_3);
 				return null;
 			}
-
+			
 			// write the TXT file WITH paragraphs
 			File txtFile = new File(srcDir, name+".txt"); //$NON-NLS-1$
 			Corpus tmpAnalecCorpus = new Corpus(); // need a temporary corpus
-			System.out.println(NLS.bind(Messages.ImportTEICorpus_5, xmlFile));
+			Log.info(NLS.bind(Messages.ImportTEICorpus_5, xmlFile));
 			if (!FichiersTEI.convertir(xmlFile, new File("/tmp"), tmpAnalecCorpus)) { //$NON-NLS-1$
-				System.out.println(Messages.ImportTEICorpus_7);
+				Log.warning(Messages.ImportTEICorpus_7);
 				return null;
 			}
 			
 			final String texte = tmpAnalecCorpus.getTexte();
-		    int debParag = 0;
-		    Integer[] finPars = tmpAnalecCorpus.getFinParagraphes();
-		    StringBuffer newTexte = new StringBuffer(texte.length() + finPars.length);
-		    for (int i = 0 ; i < finPars.length ; i++) {
-		    	newTexte.append(texte.substring(debParag, finPars[i])).append("\n"); //$NON-NLS-1$
-		    	debParag = finPars[i];
-		    }
+			int debParag = 0;
+			Integer[] finPars = tmpAnalecCorpus.getFinParagraphes();
+			StringBuffer newTexte = new StringBuffer(texte.length() + finPars.length);
+			for (int i = 0 ; i < finPars.length ; i++) {
+				newTexte.append(texte.substring(debParag, finPars[i])).append("\n"); //$NON-NLS-1$
+				debParag = finPars[i];
+			}
 			
 			IOUtils.write(txtFile, newTexte.toString());
 			
 			if (!txtFile.exists()) {
-				System.out.println(Messages.ImportTEICorpus_9);
+				Log.warning(Messages.ImportTEICorpus_9);
 				return null;
 			}
-
+			
 			Project project = new Project(Toolbox.workspace, name.toUpperCase());
 			project.setSourceDirectory(srcDir.getAbsolutePath());
 			project.setImportModuleName("txt");
@@ -97,45 +97,45 @@
 			
 			JobHandler job = ExecuteImportScript.executeScript(project);
 			if (job == null) { // job is scheduled in ExecuteImportScript.executeScript
-				System.out.println(Messages.ImportTEICorpus_15);
+				Log.warning(Messages.ImportTEICorpus_15);
 				return null;
 			}
-
+			
 			JobHandler job2 = new JobHandler(Messages.ImportTEICorpus_16) {
 				
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					try {
-					MainCorpus corpus = CorpusManager.getCorpusManager().getCorpus(name.toUpperCase());
-					File analecDirectory = new File(corpus.getProjectDirectory(), "analec"); //$NON-NLS-1$
-					analecDirectory.mkdirs();
-					Corpus analecCorpus = URSCorpora.getCorpus(corpus);
-					analecCorpus.clearAll(); // remove all : annotations, structure
-					
-					System.out.println(NLS.bind(Messages.ImportTEICorpus_18, xmlFile));
-					if (!FichiersTEI.convertir(xmlFile, analecDirectory, analecCorpus)) {
-						System.out.println(Messages.ImportTEICorpus_19);
-						return null;
-					}
-				
-					System.out.println(Messages.ImportTEICorpus_20);
-					
-					URSCorpora.removeCorpus(corpus); // remove old corpus if any
-					
-					URSAnnotationReIndexer aari = new URSAnnotationReIndexer(corpus, analecCorpus);
-					if (!aari.process()) {
-						System.out.println(Messages.ImportTEICorpus_21);
-						return null;
-					}
-					
-					System.out.println(Messages.ImportTEICorpus_22);
-					URSCorpora.saveCorpus(analecCorpus);
-					URSCorpora.getVue(analecCorpus).retablirVueParDefaut();
-					System.out.println(Messages.ImportTEICorpus_23);
-					
-					return Status.OK_STATUS;
+						MainCorpus corpus = CorpusManager.getCorpusManager().getCorpus(name.toUpperCase());
+						File analecDirectory = new File(corpus.getProjectDirectory(), "analec"); //$NON-NLS-1$
+						analecDirectory.mkdirs();
+						Corpus analecCorpus = URSCorpora.getCorpus(corpus);
+						analecCorpus.clearAll(); // remove all : annotations, structure
+						
+						Log.info(NLS.bind(Messages.ImportTEICorpus_18, xmlFile));
+						if (!FichiersTEI.convertir(xmlFile, analecDirectory, analecCorpus)) {
+							Log.warning(Messages.ImportTEICorpus_19);
+							return null;
+						}
+						
+						Log.info(Messages.ImportTEICorpus_20);
+						
+						URSCorpora.removeCorpus(corpus); // remove old corpus if any
+						
+						URSAnnotationReIndexer aari = new URSAnnotationReIndexer(corpus, analecCorpus);
+						if (!aari.process()) {
+							Log.warning(Messages.ImportTEICorpus_21);
+							return null;
+						}
+						
+						Log.info(Messages.ImportTEICorpus_22);
+						URSCorpora.saveCorpus(analecCorpus);
+						URSCorpora.getVue(analecCorpus).retablirVueParDefaut();
+						Log.info(Messages.ImportTEICorpus_23);
+						
+						return Status.OK_STATUS;
 					} catch (Exception e) {
-						System.out.println(NLS.bind(Messages.ImportTEICorpus_24, e));
+						Log.warning(NLS.bind(Messages.ImportTEICorpus_24, e));
 						Log.printStackTrace(e);
 						return Status.CANCEL_STATUS;
 					}
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/LoadCorpus.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/LoadCorpus.java	(revision 3401)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/LoadCorpus.java	(revision 3402)
@@ -16,6 +16,7 @@
 import org.txm.rcp.swt.widget.parameters.ParametersDialog;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
+import org.txm.utils.logger.Log;
 
 import visuAnalec.donnees.Corpus;
 import visuAnalec.fichiers.FichiersJava;
@@ -39,14 +40,14 @@
 		
 		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.CQPCorpus)) {
-			System.out.println(NLS.bind(Messages.LoadCorpus_0, first));
+			Log.warning(NLS.bind(Messages.LoadCorpus_0, first));
 			return null;
 		}
 		
 		MainCorpus mainCorpus = ((org.txm.searchengine.cqp.corpus.CQPCorpus)first).getMainCorpus();
 		Corpus corpus = URSCorpora.getCorpus(mainCorpus);
 		
-		System.out.println(Messages.LoadCorpus_1);
+		Log.info(Messages.LoadCorpus_1);
 		
 		if (!ParametersDialog.open(this)) return null;
 
@@ -57,17 +58,17 @@
 	
 	public static boolean load(File ecfile, Corpus corpus) {
 		if (!(ecfile.exists())) {
-			System.out.println(Messages.LoadCorpus_2);
+			Log.warning(Messages.LoadCorpus_2);
 			return false;
 		}
 		File fichierCorpus = ecfile;
-		System.out.println(NLS.bind(Messages.LoadCorpus_3, fichierCorpus));
+		Log.info(NLS.bind(Messages.LoadCorpus_3, fichierCorpus));
 		if (!FichiersJava.ouvrirCorpus(corpus, fichierCorpus, false)) {
-			System.out.println(Messages.LoadCorpus_4);
+			Log.warning(Messages.LoadCorpus_4);
 			return false;
 		}
 		
-		System.out.println(Messages.LoadCorpus_5);
+		Log.info(Messages.LoadCorpus_5);
 		return true;
 	}
 }
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportGlozzAnnotations.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportGlozzAnnotations.java	(revision 3401)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ImportGlozzAnnotations.java	(revision 3402)
@@ -20,6 +20,7 @@
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
+import org.txm.utils.logger.Log;
 
 import visuAnalec.donnees.Corpus;
 import visuAnalec.fichiers.FichiersGlozz;
@@ -58,13 +59,13 @@
 	
 	public static boolean doImport(File aafile, File aamfile, File acfile) throws CqiClientException, IOException, CqiServerError {
 		if (!(aafile.exists() && aafile.exists() && aafile.exists())) {
-			System.out.println(Messages.ImportGlozzAnnotations_0);
+			Log.warning(Messages.ImportGlozzAnnotations_0);
 			return false;
 		}
 
 		Object first = CorporaView.getFirstSelectedObject();
 		if (!(first instanceof org.txm.searchengine.cqp.corpus.CQPCorpus)) {
-			System.out.println(NLS.bind(Messages.ImportGlozzAnnotations_1, first));
+			Log.warning(NLS.bind(Messages.ImportGlozzAnnotations_1, first));
 			return false;
 		}
 		
@@ -72,29 +73,29 @@
 		Corpus analecCorpus = URSCorpora.getCorpus(mainCorpus);
 		analecCorpus.clearAll(); // remove all : annotations, structure
 		
-		System.out.println(NLS.bind(Messages.ImportGlozzAnnotations_2, aamfile));
+		Log.info(NLS.bind(Messages.ImportGlozzAnnotations_2, aamfile));
 		if (!FichiersGlozz.importerModeleGlozz(analecCorpus, aamfile)) {
-			System.out.println(Messages.ImportGlozzAnnotations_3);
+			Log.warning(Messages.ImportGlozzAnnotations_3);
 			return false;
 		}
 		
-		System.out.println(NLS.bind(Messages.ImportGlozzAnnotations_4, acfile, aafile));
+		Log.info(NLS.bind(Messages.ImportGlozzAnnotations_4, acfile, aafile));
 		if (!FichiersGlozz.importerGlozz(analecCorpus, acfile, aafile)) {
-			System.out.println(Messages.ImportGlozzAnnotations_6);
+			Log.warning(Messages.ImportGlozzAnnotations_6);
 			return false;
 		}
 		
-		System.out.println(Messages.ImportGlozzAnnotations_7);
+		Log.info(Messages.ImportGlozzAnnotations_7);
 		URSAnnotationReIndexer aari = new URSAnnotationReIndexer(mainCorpus, analecCorpus);
 		if (!aari.process()) {
-			System.out.println(Messages.ImportGlozzAnnotations_8);
+			Log.warning(Messages.ImportGlozzAnnotations_8);
 			return false;
 		}
 		
-		System.out.println(Messages.ImportGlozzAnnotations_9);
+		Log.info(Messages.ImportGlozzAnnotations_9);
 		URSCorpora.saveCorpus(analecCorpus);
 		
-		System.out.println(Messages.ImportGlozzAnnotations_10);
+		Log.info(Messages.ImportGlozzAnnotations_10);
 		return true;
 	}
 }
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ExportTEICorpus.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ExportTEICorpus.java	(revision 3401)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/ExportTEICorpus.java	(revision 3402)
@@ -50,7 +50,7 @@
 
 			Object first = CorporaView.getFirstSelectedObject();
 			if (!(first instanceof org.txm.searchengine.cqp.corpus.CQPCorpus)) {
-				System.out.println(NLS.bind(Messages.ExportTEICorpus_0, first));
+				Log.warning(NLS.bind(Messages.ExportTEICorpus_0, first));
 				return null;
 			}
 			
@@ -65,13 +65,13 @@
 					try {
 						this.runInit(monitor);
 						if (!export(true, outputDirectory, createArchive, monitor, mainCorpus, analecCorpus, vue, copyXMLTXMFiles)) {
-							System.out.println(Messages.ExportTEICorpus_2);
+							Log.warning(Messages.ExportTEICorpus_2);
 							return Status.CANCEL_STATUS;
 						} else {
 							return Status.OK_STATUS;
 						}
 					} catch (Exception e) {
-						System.out.println(NLS.bind(Messages.ExportTEICorpus_3, e.getLocalizedMessage()));
+						Log.warning(NLS.bind(Messages.ExportTEICorpus_3, e.getLocalizedMessage()));
 						Log.printStackTrace(e);
 						return Status.CANCEL_STATUS;
 					}
@@ -80,7 +80,7 @@
 			job.schedule();
 			
 		} catch (Exception e) {
-			System.out.println(NLS.bind(Messages.ExportTEICorpus_3, e.getLocalizedMessage()));
+			Log.warning(NLS.bind(Messages.ExportTEICorpus_3, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
 		}
 		return null;
Index: TXM/trunk/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java
===================================================================
--- TXM/trunk/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 3402)
@@ -10,6 +10,7 @@
 import org.txm.tokenizer.StringTokenizer;
 import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.DeleteDir;
+import org.txm.utils.logger.Log;
 
 public abstract class AnnotationEngine implements Engine {
 	
@@ -65,7 +66,7 @@
 			}
 		});
 		if (files == null || files.length == 0) {
-			System.out.println("Error: no suitable file to process in " + xmlFilesDirectory);
+			Log.warning("Error: no suitable file to process in " + xmlFilesDirectory);
 			return false;
 		}
 		boolean ret = true;
Index: TXM/trunk/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java
===================================================================
--- TXM/trunk/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEnginesManager.java	(revision 3402)
@@ -3,6 +3,7 @@
 import org.eclipse.core.runtime.IConfigurationElement;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.Platform;
+import org.eclipse.osgi.util.NLS;
 import org.txm.core.engines.EngineType;
 import org.txm.core.engines.EnginesManager;
 import org.txm.objects.CorpusBuild;
@@ -87,11 +88,11 @@
 					put(e.getName(), e);
 				}
 				else {
-					System.out.println("Fail to initialize " + e.getName() + " annotation engine.");
+					Log.warning(NLS.bind("Fail to initialize the {0} annotation engine.", e.getName()));
 				}
 			}
 			catch (Exception e) {
-				System.out.println("Error: fail instanciate " + contributions[i].getName() + ": " + e.getLocalizedMessage());
+				Log.warning(NLS.bind("Fail to instanciate {0}: {1}", contributions[i].getName(), e.getLocalizedMessage()));
 				Log.printStackTrace(e);
 			}
 		}
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/EditionAnnotations.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/EditionAnnotations.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/EditionAnnotations.java	(revision 3402)
@@ -6,6 +6,7 @@
 import java.util.List;
 import java.util.TreeMap;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.annotation.kr.core.Annotation;
 import org.txm.annotation.kr.core.AnnotationManager;
 import org.txm.annotation.kr.core.KRAnnotationEngine;
@@ -208,7 +209,7 @@
 				annotationsPerMatch = am.getAnnotationsForMatches(viewAnnotation, subsetMatch, overlapAnnotation);
 				//System.out.println("annotationsPerMatch: "+annotationsPerMatch);
 			} catch (Exception e) {
-				System.out.println("Error while reading annotation "+viewAnnotation+" and with "+subsetMatch.size()+" matches");
+				Log.warning(NLS.bind("Error while reading annotation {0} and with {1} matches", viewAnnotation, subsetMatch.size()));
 				Log.printStackTrace(e);
 			}
 		}
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java	(revision 3402)
@@ -178,7 +178,7 @@
 	protected void affectAnnotationValues(final List<? extends Match> matches, final AnnotationType type, final String svalue, JobHandler job) {
 		value_to_add = null; // reset
 		if (matches == null || matches.size() == 0) {
-			System.out.println("No line selected. Aborting."); //$NON-NLS-1$
+			Log.warning("No line selected. Aborting.");
 			return;
 		}
 		if (type == null) return; // no type, no annotation
@@ -194,7 +194,7 @@
 							NLS.bind(KRAnnotationUIMessages.youAreAboutToAnnotateP0ElementsContinue, matches.size()));
 					
 					if (dialog.open() == ConfirmDialog.CANCEL) {
-						System.out.println("Annotation aborted by user."); //$NON-NLS-1$
+						Log.info("Annotation aborted by user.");
 						matches.clear();
 					}
 				}
@@ -217,8 +217,8 @@
 				@Override
 				public void run() {
 					String mess = KRAnnotationUIMessages.bind(KRAnnotationUIMessages.noValueFoundWithTheP0Id, svalue);
-					System.out.println(mess);
-					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess); //$NON-NLS-1$
+					Log.warning(mess);
+					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess);
 				}
 			});
 			return;
@@ -263,7 +263,7 @@
 			// concordance.reloadCurrentLines();
 		}
 		catch (Exception e1) {
-			System.out.println(NLS.bind(KRAnnotationUIMessages.errorWhileAffectionAnnotationColonP0, e1));
+			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileAffectionAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -317,7 +317,7 @@
 					return Status.CANCEL_STATUS;
 				}
 				catch (ThreadDeath td) {
-					System.out.println(KRAnnotationUIMessages.annotationCanceledByUser);
+					Log.info(KRAnnotationUIMessages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -330,7 +330,7 @@
 	protected void deleteAnnotationValues(List<Match> matches, AnnotationType type, JobHandler job) {
 		
 		if (matches.size() == 0) {
-			System.out.println("No lines selected. Aborting."); //$NON-NLS-1$
+			Log.warning("No lines selected. Aborting.");
 			return;
 		}
 		
@@ -348,7 +348,7 @@
 			}
 		}
 		catch (Exception e1) {
-			System.out.println(NLS.bind(KRAnnotationUIMessages.errorWhileDeletingAnnotationColonP0, e1));
+			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileDeletingAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -361,8 +361,7 @@
 					editor.refresh(false);
 				}
 				catch (Exception e) {
-					// TODO Auto-generated catch block
-					e.printStackTrace();
+					Log.printStackTrace(e);
 				}
 			}
 		});
@@ -386,7 +385,7 @@
 					return Status.CANCEL_STATUS;
 				}
 				catch (ThreadDeath td) {
-					System.out.println(KRAnnotationUIMessages.annotationCanceledByUser);
+					Log.info(KRAnnotationUIMessages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -581,7 +580,7 @@
 					updateAnnotationWidgetStates();
 				}
 				else {
-					System.out.println("Creation aborted."); //$NON-NLS-1$
+					Log.info("Creation aborted.");
 				}
 			}
 			
@@ -799,7 +798,7 @@
 			// onAnnotationTypeSelected(null);
 		}
 		else {
-			System.out.println("Creation aborted."); //$NON-NLS-1$
+			Log.info("Creation aborted.");
 		}
 	}
 	
@@ -812,8 +811,7 @@
 				// ?")
 				JobHandler saveJob = SaveAnnotations.save(WordAnnotationToolbar.this.corpus.getMainCorpus());
 				if (saveJob == null || saveJob.getResult() == Status.CANCEL_STATUS) {
-					// update editor corpus
-					System.out.println("Fail to save annotations of the corpus."); //$NON-NLS-1$
+					Log.warning("Fail to save annotations of the corpus.");
 					return false;
 				}
 				else {
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/views/knowledgerepositories/KRView.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/views/knowledgerepositories/KRView.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/views/knowledgerepositories/KRView.java	(revision 3402)
@@ -277,7 +277,7 @@
 					try {
 						return krl.getValues(t).toArray();
 					} catch (Exception e) {
-						System.out.println("Error while reading KR values: "+kr+ " for type="+t);
+						Log.warning(NLS.bind("Error while reading the {0} KR values for the {1} type.", kr, t));
 						Log.printStackTrace(e);
 					}
 				}
@@ -321,7 +321,7 @@
 					try {
 						return krl.hasValues(t);
 					} catch (Exception e) {
-						System.out.println("Error while reading KR values: "+krl+ " for type="+t);
+						Log.warning(NLS.bind("Error while reading the {0} KR values for the {1} type.", kr, t));
 						Log.printStackTrace(e);
 					}
 				}
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/ConcordanceAnnotations.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/ConcordanceAnnotations.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/ConcordanceAnnotations.java	(revision 3402)
@@ -6,6 +6,7 @@
 import java.util.List;
 import java.util.TreeMap;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.annotation.kr.core.Annotation;
 import org.txm.annotation.kr.core.AnnotationManager;
 import org.txm.annotation.kr.core.KRAnnotationEngine;
@@ -198,7 +199,7 @@
 				annotationsPerMatch = am.getAnnotationsForMatches(viewAnnotation, subsetMatch, overlapAnnotation);
 				//System.out.println("annotationsPerMatch: "+annotationsPerMatch);
 			} catch (Exception e) {
-				System.out.println("Error while reading annotation "+viewAnnotation+" and with "+subsetMatch.size()+" matches");
+				Log.warning(NLS.bind("Error while reading annotation {0} and with {1} matches", viewAnnotation, subsetMatch.size()));
 				Log.printStackTrace(e);
 			}
 		}
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 3402)
@@ -441,7 +441,7 @@
 					return Status.CANCEL_STATUS;
 				}
 				catch (ThreadDeath td) {
-					System.out.println(KRAnnotationUIMessages.annotationCanceledByUser);
+					Log.info(KRAnnotationUIMessages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -496,7 +496,7 @@
 	protected void deleteAnnotationValues(List<? extends Match> matches, AnnotationType type, JobHandler job) {
 		
 		if (matches.size() == 0) {
-			System.out.println("No lines selected. Aborting."); //$NON-NLS-1$
+			Log.warning("No lines selected. Aborting.");
 			return;
 		}
 		
@@ -514,7 +514,7 @@
 			}
 		}
 		catch (Exception e1) {
-			System.out.println(NLS.bind(KRAnnotationUIMessages.errorWhileDeletingAnnotationColonP0, e1));
+			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileDeletingAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -537,7 +537,7 @@
 	protected void affectAnnotationValues(final List<? extends Match> matches, final AnnotationType type, final String svalue, JobHandler job) {
 		value_to_add = null; // reset
 		if (matches == null || matches.size() == 0) {
-			System.out.println("No line selected. Aborting."); //$NON-NLS-1$
+			Log.warning("No line selected. Aborting.");
 			return;
 		}
 		if (type == null) return; // no type, no annotation
@@ -553,7 +553,7 @@
 							NLS.bind(KRAnnotationUIMessages.youAreAboutToAnnotateP0ElementsContinue, matches.size()));
 					
 					if (dialog.open() == ConfirmDialog.CANCEL) {
-						System.out.println("Annotation aborted by user."); //$NON-NLS-1$
+						Log.info("Annotation aborted by user.");
 						matches.clear();
 					}
 				}
@@ -580,7 +580,7 @@
 							ConcordanceUIMessages.bind(title, svalue, type.getName()),
 							ConcordanceUIMessages.bind(content, svalue, type.getName()));
 					if (dialog.open() == ConfirmDialog.CANCEL) {
-						System.out.println("Annotation aborted by user."); //$NON-NLS-1$
+						Log.info("Annotation aborted by user.");
 						return;
 					}
 					else {
@@ -599,8 +599,8 @@
 				@Override
 				public void run() {
 					String mess = ConcordanceUIMessages.bind(KRAnnotationUIMessages.noValueFoundWithTheP0Id, svalue);
-					System.out.println(mess);
-					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess); //$NON-NLS-1$
+					Log.warning(mess);
+					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess);
 				}
 			});
 			return;
@@ -642,7 +642,7 @@
 			}
 		}
 		catch (Exception e1) {
-			System.out.println(NLS.bind(KRAnnotationUIMessages.errorWhileAffectionAnnotationColonP0, e1));
+			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileAffectionAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -726,7 +726,7 @@
 				JobHandler saveJob = SaveAnnotations.save(corpus.getMainCorpus());
 				if (saveJob == null || saveJob.getResult() == Status.CANCEL_STATUS) {
 					// update editor corpus
-					System.out.println("Fail to save annotations of the corpus."); //$NON-NLS-1$
+					Log.warning("Fail to save annotations of the corpus.");
 					return false;
 				}
 				else {
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java	(revision 3402)
@@ -235,7 +235,7 @@
 		}
 		
 		if (currentKnowledgeRepository == null) {
-			System.out.println(KRAnnotationUIMessages.errorColonNoSuitableKnowledgeRepositoryFound);
+			Log.warning(KRAnnotationUIMessages.errorColonNoSuitableKnowledgeRepositoryFound);
 			return false;
 		}
 		
@@ -447,7 +447,7 @@
 						updateAnnotationWidgetStates();
 					}
 					else {
-						System.out.println("Creation aborted."); //$NON-NLS-1$
+						Log.warning("Creation aborted.");
 					}
 				}
 				
@@ -693,7 +693,7 @@
 					return Status.CANCEL_STATUS;
 				}
 				catch (ThreadDeath td) {
-					System.out.println(KRAnnotationUIMessages.annotationCanceledByUser);
+					Log.info(KRAnnotationUIMessages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -760,7 +760,7 @@
 		}
 		
 		if (matches.size() == 0) {
-			System.out.println("No lines selected. Aborting."); //$NON-NLS-1$
+			Log.warning("No lines selected. Aborting."); 
 			return;
 		}
 		
@@ -779,7 +779,7 @@
 				}
 			}
 			catch (Exception e1) {
-				System.out.println(NLS.bind(KRAnnotationUIMessages.errorWhileDeletingAnnotationColonP0, e1));
+				Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileDeletingAnnotationColonP0, e1));
 				Log.printStackTrace(e1);
 				return;
 			}
@@ -804,11 +804,11 @@
 	protected void affectAnnotationValues(final List<? extends Match> matches, final AnnotationType type, final String svalue, JobHandler job) {
 		value_to_add = null; // reset
 		if (concordance == null) {
-			System.out.println("No concordance done. Aborting."); //$NON-NLS-1$
+			Log.info("No concordance done. Aborting.");
 			return;
 		}
 		if (matches.size() == 0) {
-			System.out.println("No line selected. Aborting."); //$NON-NLS-1$
+			Log.warning("No line selected. Aborting.");
 			return;
 		}
 		if (type == null) return; // no type, no annotation
@@ -824,7 +824,7 @@
 							NLS.bind(KRAnnotationUIMessages.youAreAboutToAnnotateP0ElementsContinue, matches.size()));
 					
 					if (dialog.open() == ConfirmDialog.CANCEL) {
-						System.out.println("Annotation aborted by user."); //$NON-NLS-1$
+						Log.info("Annotation aborted by user.");
 						matches.clear();
 					}
 				}
@@ -851,7 +851,7 @@
 							ConcordanceUIMessages.bind(title, svalue, type.getName()),
 							ConcordanceUIMessages.bind(content, svalue, type.getName()));
 					if (dialog.open() == ConfirmDialog.CANCEL) {
-						System.out.println("Annotation aborted by user."); //$NON-NLS-1$
+						Log.info("Annotation aborted by user.");
 						return;
 					}
 					else {
@@ -870,7 +870,7 @@
 				@Override
 				public void run() {
 					String mess = ConcordanceUIMessages.bind(KRAnnotationUIMessages.noValueFoundWithTheP0Id, svalue);
-					System.out.println(mess);
+					Log.warning(mess);
 					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess); //$NON-NLS-1$
 				}
 			});
@@ -916,7 +916,7 @@
 			concordance.reloadCurrentLines();
 		}
 		catch (Exception e1) {
-			System.out.println(NLS.bind(KRAnnotationUIMessages.errorWhileAffectionAnnotationColonP0, e1));
+			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileAffectionAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -997,7 +997,7 @@
 				JobHandler saveJob = SaveAnnotations.save(corpus.getMainCorpus());
 				if (saveJob == null || saveJob.getResult() == Status.CANCEL_STATUS) {
 					// update editor corpus
-					System.out.println("Fail to save annotations of the corpus."); //$NON-NLS-1$
+					Log.warning("Fail to save annotations of the corpus.");
 					return false;
 				}
 				else {
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 3402)
@@ -187,7 +187,7 @@
 	protected void affectAnnotationValues(final List<? extends Match> matches, final AnnotationType type, final String svalue, JobHandler job) {
 		value_to_add = null; // reset
 		if (matches == null || matches.size() == 0) {
-			System.out.println("No line selected. Aborting."); //$NON-NLS-1$
+			Log.warning("No line selected. Aborting.");
 			return;
 		}
 		if (type == null) return; // no type, no annotation
@@ -203,7 +203,7 @@
 							NLS.bind(KRAnnotationUIMessages.youAreAboutToAnnotateP0ElementsContinue, matches.size()));
 					
 					if (dialog.open() == ConfirmDialog.CANCEL) {
-						System.out.println("Annotation aborted by user."); //$NON-NLS-1$
+						Log.info("Annotation aborted by user.");
 						matches.clear();
 					}
 				}
@@ -226,8 +226,8 @@
 				@Override
 				public void run() {
 					String mess = KRAnnotationUIMessages.bind(KRAnnotationUIMessages.noValueFoundWithTheP0Id, svalue);
-					System.out.println(mess);
-					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess); //$NON-NLS-1$
+					Log.warning(mess);
+					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess);
 				}
 			});
 			return;
@@ -272,7 +272,7 @@
 			// concordance.reloadCurrentLines();
 		}
 		catch (Exception e1) {
-			System.out.println(NLS.bind(KRAnnotationUIMessages.errorWhileAffectionAnnotationColonP0, e1));
+			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileAffectionAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -322,7 +322,7 @@
 					return Status.CANCEL_STATUS;
 				}
 				catch (ThreadDeath td) {
-					System.out.println(KRAnnotationUIMessages.annotationCanceledByUser);
+					Log.info(KRAnnotationUIMessages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -335,7 +335,7 @@
 	protected void deleteAnnotationValues(List<Match> matches, AnnotationType type, JobHandler job) {
 		
 		if (matches.size() == 0) {
-			System.out.println("No lines selected. Aborting."); //$NON-NLS-1$
+			Log.warning("No lines selected. Aborting.");
 			return;
 		}
 		
@@ -353,7 +353,7 @@
 			}
 		}
 		catch (Exception e1) {
-			System.out.println(NLS.bind(KRAnnotationUIMessages.errorWhileDeletingAnnotationColonP0, e1));
+			Log.warning(NLS.bind(KRAnnotationUIMessages.errorWhileDeletingAnnotationColonP0, e1));
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -392,7 +392,7 @@
 					return Status.CANCEL_STATUS;
 				}
 				catch (ThreadDeath td) {
-					System.out.println(KRAnnotationUIMessages.annotationCanceledByUser);
+					Log.info(KRAnnotationUIMessages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -645,7 +645,7 @@
 					updateAnnotationWidgetStates();
 				}
 				else {
-					System.out.println("Creation aborted."); //$NON-NLS-1$
+					Log.info("Creation aborted.");
 				}
 			}
 			
@@ -722,9 +722,6 @@
 					
 					annotationValuesText.setText(name);
 				}
-				else {
-					
-				}
 			}
 			
 			@Override
@@ -917,7 +914,7 @@
 			// onAnnotationTypeSelected(null);
 		}
 		else {
-			System.out.println("Creation aborted."); //$NON-NLS-1$
+			Log.info("Creation aborted.");
 		}
 	}
 	
@@ -930,8 +927,7 @@
 				// ?")
 				JobHandler saveJob = SaveAnnotations.save(WordAnnotationToolbar.this.corpus.getMainCorpus());
 				if (saveJob == null || saveJob.getResult() == Status.CANCEL_STATUS) {
-					// update editor corpus
-					System.out.println("Fail to save annotations of the corpus."); //$NON-NLS-1$
+					Log.warning("Fail to save annotations of the corpus.");
 					return false;
 				}
 				else {
@@ -1017,6 +1013,7 @@
 	
 	@Override
 	protected void _close() {
+		
 		if (!annotationColumn.isDisposed()) annotationColumn.dispose();
 		if (!annotationArea.isDisposed()) annotationArea.dispose();
 		extension.layout();
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotations.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotations.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotations.java	(revision 3402)
@@ -97,11 +97,11 @@
 						SWTEditorsUtils.closeEditors(corpus.getProject(), true);
 					}
 					else {
-						Log.severe("** Error while saving annotations (see logs above).");
+						Log.warning("** Error while saving annotations (see logs above).");
 					}
 				}
 				catch (Exception e) {
-					System.out.println("Error while saving annotations: " + e);
+					Log.warning(NLS.bind("Error while saving annotations: {0}", e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				} catch(ThreadDeath ex) {
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java	(revision 3402)
@@ -76,7 +76,7 @@
 						try {
 							recode(corpus, conversionFile, oldType, newType, monitor);
 						} catch (Exception e) {
-							System.out.println("Fail to convert properties of corpus " + corpus);
+							Log.warning(NLS.bind("Fail to convert properties of the {0} corpus.", corpus));
 							e.printStackTrace();
 							return Status.CANCEL_STATUS;
 						} catch(ThreadDeath ex) {
@@ -102,23 +102,23 @@
 		
 		Project project = corpus.getProject();
 		if (!"xtz".equals(project.getImportModuleName())) {
-			System.out.println("Corpus " + corpus + " was not imported with the XTZ import module");
+			Log.warning(NLS.bind("The {0} corpus was not imported with the XTZ import module", corpus));
 			return null;
 		}
 		
 		Property p1 = corpus.getProperty(oldType);
 		if (p1 == null) {
-			System.out.println("Corpus " + corpus + " has not property " + oldType);
+			Log.warning(NLS.bind("The {0} corpus has no {1} property.", corpus, oldType));
 			return null;
 		}
 		
-		System.out.println("Recoding " + corpus + " property " + oldType + " in " + newType);
+		Log.info(NLS.bind("Recoding the {0} corpus properties: {1}.", corpus, oldType+" -> "+newType));
 		
 		monitor.beginTask("Recoding corpus properties...", 2);
 		monitor.setTaskName("Recoding XML-TXM files");
 		// apply conversion file
 		if (!crc.process(corpus)) {
-			System.out.println("Failed to edit XML-TXM of the corpus: " + corpus);
+			Log.warning(NLS.bind("Failed to edit XML-TXM of the {0} corpus.", corpus));
 			return null;
 		}
 		monitor.worked(1);
@@ -133,7 +133,7 @@
 		// monitor.setTaskName("Updating corpus");
 		// File scriptDir = new File(txmhome, "scripts/groovy/user/org/txm/scripts/importer/xtz");
 		// File script = new File(scriptDir, "xtzLoader.groovy");
-		System.out.println(NLS.bind(KRAnnotationUIMessages.updatingTheP0Corpus, corpus));
+		Log.info(NLS.bind(KRAnnotationUIMessages.updatingTheP0Corpus, corpus));
 		JobHandler ret = ExecuteImportScript.executeScript(project);
 		Display.getDefault().syncExec(new Runnable() {
 			
@@ -155,7 +155,7 @@
 	}
 	
 	public static JobHandler recode(final MainCorpus corpus, File conversionFile, String oldType, String newType, IProgressMonitor monitor) throws IOException, CqiClientException, XMLStreamException {
-		System.out.println("Create CorpusRuledConvertion with " + conversionFile);
+		Log.info(NLS.bind("Create CorpusRuledConvertion with the {0} conversion file.", conversionFile));
 		// apply conversion file
 		CorpusRuledConvertion crc = new CorpusRuledConvertion(conversionFile, oldType, newType);
 		
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotationsAndUpdateCorpus.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotationsAndUpdateCorpus.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotationsAndUpdateCorpus.java	(revision 3402)
@@ -74,8 +74,8 @@
 								}
 								else {
 									monitor.worked(50);
-									System.out.println("Fail to update corpus. Aborting");
-									System.out.println("Fix XML-TXM files and call command 'UpdateCorpus'");
+									Log.warning("Fail to update corpus. Aborting");
+									Log.warning("Fix XML-TXM files and call command 'UpdateCorpus'");
 									return Status.CANCEL_STATUS;
 								}
 							} catch(ThreadDeath ex) {
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/InitializeKnowledgeRepository.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/InitializeKnowledgeRepository.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/InitializeKnowledgeRepository.java	(revision 3402)
@@ -8,6 +8,7 @@
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.osgi.service.prefs.BackingStoreException;
@@ -16,6 +17,7 @@
 import org.txm.annotation.kr.core.repository.KnowledgeRepositoryManager;
 import org.txm.rcp.swt.dialog.UsernamePasswordDialog;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
+import org.txm.utils.logger.Log;
 
 public class InitializeKnowledgeRepository extends AbstractHandler {
 
@@ -51,22 +53,22 @@
 				kr = KRAnnotationEngine.getKnowledgeRepository(corpus, kr_name);
 				
 				if (kr == null) {
-					System.out.println("Warning '"+kr_name+"' KR is null. Please check KR configuration.");
+					Log.warning(NLS.bind("Warning ''{0}'' KR is null. Please check KR configuration.", kr_name));
 					continue;
 				}
 				//System.out.println("IS CREDENTIAL NEEDED: "+kr_name+" "+corpus);
 				boolean[] must = KnowledgeRepositoryManager.mustLoginToKnowledgeRepository(kr_name, corpus);
 				
 				if (must[0] || must[1]) {
-					System.out.println("Asking credentials for "+kr_name+" KR login");
+					Log.info(NLS.bind("Asking credentials for {0} KR login.", kr_name));
 					UsernamePasswordDialog dialog = new UsernamePasswordDialog(Display.getCurrent().getActiveShell(), must, kr_name);
 					
 					if (dialog.open() == UsernamePasswordDialog.OK) {
-						System.out.println("Temporary save login+password");
+						Log.info("Temporary save login+password");
 						System.setProperty(KnowledgeRepository.LOGIN_KEY+kr_name, dialog.getUser());
 						System.setProperty(KnowledgeRepository.PASSWORD_KEY+kr_name, dialog.getPassword());
 					} else {
-						System.out.println("Cancelling login for "+kr_name+" KR");
+						Log.info(NLS.bind("Cancelling login for {0} KR.", kr_name));
 						continue; // ignoring
 					}
 				}
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportStandoff.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportStandoff.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportStandoff.java	(revision 3402)
@@ -37,6 +37,7 @@
 import org.eclipse.core.runtime.Status;
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.FileDialog;
 import org.eclipse.swt.widgets.Shell;
@@ -73,7 +74,7 @@
 
 		Object s = selection.getFirstElement();
 		if (!(s instanceof MainCorpus)) {
-			System.out.println("Selection is not a Corpus. Aborting.");
+			Log.warning(NLS.bind("Selection is not a Corpus: {0}. Aborting.", s));
 			return null;
 		}
 
@@ -133,15 +134,15 @@
 					///chaque annotation est récupérée et selon l'annotateur, écrite dans un fichier spécifique à celui-ci
 
 					if (!am.exportAnnotationsToSyMoGIH(resultZipFile)) {
-						System.out.println("Error while saving stand-off annotations (see logs above).");
+						Log.warning("Error while saving stand-off annotations (see logs above).");
 						return Status.CANCEL_STATUS;
 					}
 					monitor.worked(30);
 					
-					System.out.println("Done.");
+					Log.info("Done.");
 
 				} catch(Exception e) {
-					System.out.println("Error while saving annotations: "+e);
+					Log.warning(NLS.bind("Error while saving annotations: {0}.", e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				}
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Delete.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Delete.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Delete.java	(revision 3402)
@@ -41,6 +41,7 @@
 import org.txm.annotation.kr.core.repository.SQLKnowledgeRepository;
 import org.txm.annotation.kr.core.repository.TypedValue;
 import org.txm.annotation.kr.rcp.views.knowledgerepositories.KRView;
+import org.txm.utils.logger.Log;
 
 // TODO: Auto-generated Javadoc
 /**
@@ -73,11 +74,11 @@
 
 		} else if (selectedItem instanceof LocalKnowledgeRepository) {
 			LocalKnowledgeRepository kr = ((LocalKnowledgeRepository)selectedItem);
-			System.out.println("Delete a LocalKnowledgeRepository...");
+			Log.info("Delete a LocalKnowledgeRepository...");
 			
 			//TODO: confirm message dialog to generate
-			//KnowledgeRepositoryManager.deleteKnowledgeRepository(kr);
-			//KRView.refresh();
+			KnowledgeRepositoryManager.deleteKnowledgeRepository(kr);
+			KRView.refresh();
 			
 		} else if (selectedItem instanceof AnnotationType) {
 			final AnnotationType t = ((AnnotationType)selectedItem);
@@ -85,7 +86,7 @@
 			
 			if (kr instanceof LocalKnowledgeRepository) {
 				final LocalKnowledgeRepository lkr = ((LocalKnowledgeRepository)kr);
-				System.out.println("Delete an AnnotationType...");
+				Log.info("Delete an AnnotationType...");
 				
 				/*JobHandler job = new JobHandler("Deleting all annotations for type : "+t) {
 					@Override
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Add.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Add.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Add.java	(revision 3402)
@@ -45,6 +45,7 @@
 import org.txm.annotation.kr.core.repository.TypedValue;
 import org.txm.annotation.kr.rcp.views.knowledgerepositories.KRView;
 import org.txm.utils.AsciiUtils;
+import org.txm.utils.logger.Log;
 
 // TODO: Auto-generated Javadoc
 /**
@@ -90,7 +91,7 @@
 				KRView.refresh();
 				//kr.add(at);
 			} else {
-				System.out.println("Creation aborted.");
+				Log.info("Creation aborted.");
 			}
 		} else if (selectedItem instanceof AnnotationType) {
 			AnnotationType t = ((AnnotationType)selectedItem);
@@ -99,8 +100,9 @@
 			
 			KnowledgeRepository kr = KnowledgeRepositoryManager.getKnowledgeRepository(krname);
 			if (kr instanceof LocalKnowledgeRepository) {
+				
 				LocalKnowledgeRepository lkr = ((LocalKnowledgeRepository)kr);
-				System.out.println("Add a value...");
+
 				Shell shell = Display.getDefault().getActiveShell();
 				InputDialog dialog = new InputDialog(shell, "Value name", "Please enter the new value name", "", null);
 				if (dialog.open() == InputDialog.OK) {
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Informations.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Informations.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/krview/Informations.java	(revision 3402)
@@ -78,8 +78,6 @@
 		
 		if (url != null && url.length() > 0) {
 			OpenLocalizedWebPage.openfile(url);
-		} else {
-			System.out.println(selectedItem);
 		}
 	}
 }
Index: TXM/trunk/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editor/AnnotationExtension.java
===================================================================
--- TXM/trunk/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editor/AnnotationExtension.java	(revision 3401)
+++ TXM/trunk/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editor/AnnotationExtension.java	(revision 3402)
@@ -328,8 +328,8 @@
 						}
 						else {
 							monitor.worked(50);
-							System.out.println("Fail to update corpus. Aborting");
-							System.out.println("Fix XML-TXM files and call command 'UpdateCorpus'");
+							Log.warning("Fail to update corpus. Aborting");
+							Log.warning("Fix XML-TXM files and call command 'UpdateCorpus'");
 							return Status.CANCEL_STATUS;
 						}
 					} else {
